# $Revision: 1.3.2.1 $, $Date: 2005/10/17 10:13:03 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sys
%define		pnam	Hostname-Long
Summary:	Sys::Hostname::Long - try every conceivable way to get full hostname
Summary(pl):	Sys::Hostname::Long - uzyskiwanie penej nazwy hosta
Name:		perl-Sys-Hostname-Long
Version:	1.2
Release:	3
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ae0fb8b0ed821ae2fc8e8009b8732978
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-112.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sys::Hostname::Long - Try every conceivable way to get full hostname.

%description -l pl
Sys::Hostname::Long prbuje wszelkich moliwych sposobw eby uzyska
pen nazw hosta.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=site
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_sitelib}/Sys/Hostname
%{perl_sitelib}/Sys/Hostname/Long.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sys-Hostname-Long.spec,v $
Revision 1.3.2.1  2005/10/17 10:13:03  hawk
- adjusted for Ra
- release 3

Revision 1.3  2005/10/05 10:31:08  glen
- missing dir; rel 2

Revision 1.2  2005/06/16 22:37:48  qboosh
- copy-pasto

Revision 1.1  2005/06/14 12:51:14  baggins
- initial revision
